package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffConfigTaskContent;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffConfigTaskContentExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComStaffConfigTaskContentMapper {
    long countByExample(ThirdPartWeComStaffConfigTaskContentExample example);

    int deleteByExample(ThirdPartWeComStaffConfigTaskContentExample example);

    int deleteByPrimaryKey(String id);

    int insert(ThirdPartWeComStaffConfigTaskContent record);

    int insertSelective(ThirdPartWeComStaffConfigTaskContent record);

    List<ThirdPartWeComStaffConfigTaskContent> selectByExample(ThirdPartWeComStaffConfigTaskContentExample example);

    ThirdPartWeComStaffConfigTaskContent selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComStaffConfigTaskContent record, @Param("example") ThirdPartWeComStaffConfigTaskContentExample example);

    int updateByExample(@Param("record") ThirdPartWeComStaffConfigTaskContent record, @Param("example") ThirdPartWeComStaffConfigTaskContentExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComStaffConfigTaskContent record);

    int updateByPrimaryKey(ThirdPartWeComStaffConfigTaskContent record);
}